> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Unstake

> Unstake is called by the provider to request a unstake from the provider registry.



## OpenAPI

````yaml /v1.2.x/api-reference/provider-openapi-spec.json post /v1/provider/unstake
openapi: 3.0.0
info:
  title: Provider API
  version: 1.2.2-oas3
  license:
    name: Business Source License 1.1
    url: https://github.com/primev/mev-commit/blob/main/LICENSE
servers: []
security: []
paths:
  /v1/provider/unstake:
    post:
      summary: Unstake
      description: >-
        Unstake is called by the provider to request a unstake from the provider
        registry.
      operationId: Provider_Unstake
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/providerapiv1EmptyMessage'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
components:
  schemas:
    providerapiv1EmptyMessage:
      type: object
    googlerpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}

````